VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::library::StorageBacking Class Reference

The `StorageBacking` class defines a storage location where content in a library will be stored. More...

List of all members.

## Classes
class | Type
| The `StorageBacking.Type` enumerated type specifies the type of the StorageBacking . More...
## Public Member Functions
| StorageBacking ()
| Creates a default new instance.
vmware.content.library.StorageBacking.Type | Get_Type ()
| Type ( DATASTORE, OTHER) of StorageBacking .
void | SetType (vmware.content.library.StorageBacking.Type type)
| Type ( DATASTORE, OTHER) of StorageBacking .
string | GetDatastoreId ()
| Identifier of the datastore used to store the content in the library.
void | SetDatastoreId (string datastoreId)
| Identifier of the datastore used to store the content in the library.
global::System.Uri | GetStorageUri ()
| URI identifying the location used to store the content in the library.
void | SetStorageUri (global::System.Uri storageUri)
| URI identifying the location used to store the content in the library.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `StorageBacking` class defines a storage location where content in a library will be stored.

The storage location can either be a Datastore or Other type.

## Constructor & Destructor Documentation

vmware::content::library::StorageBacking::StorageBacking | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::StorageBacking::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::StorageBacking::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::StorageBacking::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::StorageBacking::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::StorageBacking::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::StorageBacking::Equals | ( | object | obj | ) | `[inline]`

vmware.content.library.StorageBacking.Type vmware::content::library::StorageBacking::Get_Type | ( |  | ) | `[inline]`

Type ( DATASTORE, OTHER) of StorageBacking .

string vmware::content::library::StorageBacking::GetDatastoreId | ( |  | ) | `[inline]`

Identifier of the datastore used to store the content in the library.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

override int vmware::content::library::StorageBacking::GetHashCode | ( |  | ) | `[inline]`

global::System.Uri vmware::content::library::StorageBacking::GetStorageUri | ( |  | ) | `[inline]`

URI identifying the location used to store the content in the library.

The following URI formats are supported:

vSphere 6.5

- nfs://server/path?version=4 (for vCenter Server Appliance only) - Specifies an NFS Version 4 server.
- nfs://server/path (for vCenter Server Appliance only)
  - Specifies an NFS Version 3 server. The nfs://server:/path format is also supported.
- smb://server/path - Specifies an SMB server or Windows share.

vSphere 6.0 Update 1

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///mount/point (for vCenter Server Appliance only) - Local file URIs are supported only when the path is a local mount point for an NFS file system. Use of file URIs is strongly discouraged. Instead, use an NFS URI to specify the remote file system.

vSphere 6.0

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///path - Local file URIs are supported but strongly discouraged because it may interfere with the performance of vCenter Server.

void vmware::content::library::StorageBacking::SetDatastoreId | ( | string | datastoreId | ) | `[inline]`

Identifier of the datastore used to store the content in the library.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

void vmware::content::library::StorageBacking::SetStorageUri | ( | global::System.Uri | storageUri | ) | `[inline]`

URI identifying the location used to store the content in the library.

The following URI formats are supported:

vSphere 6.5

- nfs://server/path?version=4 (for vCenter Server Appliance only) - Specifies an NFS Version 4 server.
- nfs://server/path (for vCenter Server Appliance only)
  - Specifies an NFS Version 3 server. The nfs://server:/path format is also supported.
- smb://server/path - Specifies an SMB server or Windows share.

vSphere 6.0 Update 1

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///mount/point (for vCenter Server Appliance only) - Local file URIs are supported only when the path is a local mount point for an NFS file system. Use of file URIs is strongly discouraged. Instead, use an NFS URI to specify the remote file system.

vSphere 6.0

- nfs://server:/path (for vCenter Server Appliance only)
- file://unc-server/path (for vCenter Server for Windows only)
- file:///path - Local file URIs are supported but strongly discouraged because it may interfere with the performance of vCenter Server.

void vmware::content::library::StorageBacking::SetType | ( | vmware.content.library.StorageBacking.Type | type | ) | `[inline]`

Type ( DATASTORE, OTHER) of StorageBacking .

override string vmware::content::library::StorageBacking::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- StorageBacking.cs